devAskNewPage {grDevices} | R Documentation

## Prompt before New Page

### Description

This function can be used to control (for the current device) whether the user is prompted before starting a new page of output.

### Usage

    devAskNewPage(ask = NULL)

### Arguments

`ask` | `NULL` or a logical value. If `TRUE`, the user will in future be prompted before a new page of output is started.

### Details

If the current device is the null device, this will open a graphics device.

The default argument just returns the current setting and does not change it.

The default value when a device is opened is taken from the setting of `options("device.ask.default")`.

The precise circumstances when the user will be asked to confirm a new page depend on the graphics subsystem. Obviously this needs to be an interactive session. In addition ‘recording’ needs to be in operation, so only when the display list is enabled (see `dev.control`) which it usually is only on a screen device.

### Value

The current prompt setting before any new setting is applied. Invisibly if `ask` is logical.

### See Also

`plot.new`, `grid.newpage`

[Package grDevices version 3.4.2 Index]